=== debian/changelog ===
xfsprogs (3.1.0ubuntu1) lucid; urgency=low

  * debian/control: Build against libreadline-dev. (See Debian #553875)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Mar 2010 14:46:01 +0100

xfsprogs (3.1.0) unstable; urgency=low

  * New upstream release
  * Merged German translation (closes: #521389)
  * Merged German translation update (closes: #557100)
  * Uptodate po file is provided now (closes: #538962)
  * Fixed typos in xfs_quota man page (closes: #481715)
  * Tighten permissions on temp fsr files (closes: #559490)

 -- Nathan Scott <nathans@debian.org>  Thu, 10 Dec 2009 09:19:37 +1100

xfsprogs (3.0.4) unstable; urgency=low

  * New bugfix release
  * Resolve a libxfs unaligned access (closes: #517553)

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Sep 2009 14:32:48 +1000
