## xfsprogs 3.1.2ubuntu1

=== debian/changelog ===
xfsprogs (3.1.2ubuntu1) maverick; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from debian unstable. Remaining changes:
    - debian/control: Build against libreadline-dev. (See Debian #553875)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 31 May 2010 11:27:59 +0200

xfsprogs (3.1.2) unstable; urgency=low

  * New upstream release
  * Allow for building on GNU/kFreeBSD (closes: #485796)

 -- Nathan Scott <nathans@debian.org>  Mon, 3 May 2010 14:25:43 +1100

xfsprogs (3.1.1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jan 2010 20:54:22 +1100
