=== debian/changelog ===
xfsprogs (3.1.2-1drbl) unstable; urgency=low

  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 9 Jun 2010 11:12:00 +0800
