## xfsprogs 3.1.3.drbl1

=== debian/changelog ===
xfsprogs (3.1.3.drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 27 Aug 2010 16:43:33 +0800

xfsprogs (3.1.3) unstable; urgency=low

  * New upstream release
  * Enforce building with libblkid (closes: #593320)

 -- Nathan Scott <nathans@debian.org>  Thu, 26 Aug 2010 23:06:46 +1000
