## xfsprogs 3.1.4ubuntu2

=== debian/changelog ===
xfsprogs (3.1.4ubuntu2) natty; urgency=low

  * Rebuild. LP: #696768.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Jan 2011 12:54:03 +0100

xfsprogs (3.1.4ubuntu1) natty; urgency=low

  * Merge from debian unstable(LP: #678149). Remaining change:
    - debian/control: Build against libreadline-dev. (See Debian #553875)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 21 Nov 2010 18:27:51 +0100

xfsprogs (3.1.4) unstable; urgency=low

  * New upstream release (32 projid resolution, fsr uses /proc/mounts)
  * Annotate Debian packages as being team maintained now.
  * Resolve Lenny upgrade issue with xfsdump (closes: #601988, #601710)

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Nov 2010 22:39:04 +1100

xfsprogs (3.1.3ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control: Build against libreadline-dev. (See Debian #553875)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Oct 2010 16:03:28 +0200
