=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-dev
-Standards-Version: 3.8.1
+XSBC-Original-Maintainer: XFS Development Team <xfs@oss.sgi.com>
+Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-dev, libblkid-dev (>= 2.17)
+Standards-Version: 3.9.1
 Homepage: http://oss.sgi.com/projects/xfs/
 
 Package: xfsprogs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: fsck-backend
 Suggests: xfsdump, acl, attr, quota
-Conflicts: xfsdump (<< 3.0.0)
+Breaks: xfsdump (<< 3.0.0)
+Replaces: xfsdump (<< 3.0.0)
 Architecture: any
 Description: Utilities for managing the XFS filesystem
  A set of commands to use the XFS filesystem, including mkfs.xfs.
@@ -30,8 +31,8 @@
 Package: xfslibs-dev
 Section: libdevel
 Priority: extra
-Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0)
-Conflicts: xfsprogs (<< 3.0.0)
+Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0), ${misc:Depends}
+Breaks: xfsprogs (<< 3.0.0)
 Architecture: any
 Description: XFS filesystem-specific static libraries and headers
  xfslibs-dev contains the libraries and header files needed to
