## xfsprogs 3.1.5ubuntu1

=== debian/changelog ===
xfsprogs (3.1.5ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - debian/control: Build against libreadline-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 May 2011 15:00:07 +0200

xfsprogs (3.1.5) unstable; urgency=low

  * New upstream release
  * No more xfsquota error message for non-quota mounts (closes: #618730)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Mar 2011 09:00:00 +1100
