## xfsprogs 3.1.5+nmu1-1drbl

=== debian/changelog ===
xfsprogs (3.1.5+nmu1-1drbl) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 02 Sep 2011 11:44:52 +0800

xfsprogs (3.1.5+nmu1) unstable; urgency=low

  * Non-maintainer upload, breaking the assumption: "the upstream
    release is also the Debian release" (see bug#144876).
  * Build-depends on libreadline-gplv2-dev instead of libreadline5-dev
    as the code is not compatible with GPL v3 (closes: #553875).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Aug 2011 23:14:01 +0200
