## xfsprogs 3.1.5-1drbl

=== include/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 HFILES = handle.h jdm.h xqm.h xfs.h xfs_fs.h
 HFILES += $(PKG_PLATFORM).h
-PHFILES = darwin.h freebsd.h irix.h linux.h
+PHFILES = darwin.h freebsd.h irix.h linux.h gnukfreebsd.h
 DKHFILES = volume.h fstyp.h dvh.h
 LSRCFILES = $(shell echo $(PHFILES) | sed -e "s/$(PKG_PLATFORM).h//g")
 LSRCFILES += platform_defs.h.in builddefs.in buildmacros buildrules install-sh
@@ -43,7 +43,8 @@
 default install: xfs disk
 
 xfs disk:
-	$(LN_S) . $@
+	@echo "    [LN]     $@"
+	$(Q)$(LN_S) . $@
 
 include $(BUILDRULES)
 
@@ -51,6 +52,7 @@
 	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
 	$(INSTALL) -m 644 $(HFILES) $(PKG_INC_DIR)
 	$(INSTALL) -m 644 platform_defs.h $(PKG_INC_DIR)
+	$(INSTALL) -m 644 $(QAHFILES) $(PKG_INC_DIR)
 
 install-qa: install-dev
 	$(INSTALL) -m 644 $(QAHFILES) $(PKG_INC_DIR)
