=== libxfs/Makefile ===
--- 
+++ 
@@ -33,6 +33,8 @@
 
 FCFLAGS = -I.
 
+LTLIBS = $(LIBPTHREAD) $(LIBRT)
+
 # don't try linking xfs_repair with a debug libxfs.
 DEBUG = -DNDEBUG
 
@@ -48,4 +50,4 @@
 
 install-qa: default
 
--include .dep
+-include .ltdep
