=== debian/changelog ===
xfsprogs (3.1.5-1drbl) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 13 May 2011 17:12:32 +0800
