## xfsprogs 3.1.7build1

=== debian/changelog ===
xfsprogs (3.1.7build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:30:41 +0100

xfsprogs (3.1.7) unstable; urgency=low

  * New upstream release
  * Fix libreadline build dependency (closes: #553875)

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Nov 2011 08:47:00 +1100

xfsprogs (3.1.6) unstable; urgency=low

  * New upstream release
  * Handle upcoming libreadline5-dev removal (closes: #553875)

 -- Nathan Scott <nathans@debian.org>  Wed, 11 Oct 2011 16:47:10 +1100
