## xfsprogs 3.1.7-1drbl

=== debian/changelog ===
xfsprogs (3.1.7-1drbl) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Nov 2011 18:25:34 +0800
