## xfsprogs 3.1.9ubuntu2

=== libxfs/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 LT_AGE = 0
 
 HFILES = xfs.h init.h
-CFILES = cache.c init.c kmem.c logitem.c rdwr.c trans.c util.c \
+CFILES = cache.c init.c kmem.c logitem.c radix-tree.c rdwr.c trans.c util.c \
 	xfs_alloc.c xfs_ialloc.c xfs_inode.c xfs_btree.c xfs_alloc_btree.c \
 	xfs_ialloc_btree.c xfs_bmap_btree.c xfs_da_btree.c \
 	xfs_dir2.c xfs_dir2_leaf.c xfs_attr_leaf.c xfs_dir2_block.c \
@@ -43,10 +43,8 @@
 include $(BUILDRULES)
 
 install: default
-	$(INSTALL_LTLIB)
 
 install-dev: default
-	$(INSTALL_LTLIB_DEV)
 
 install-qa: default
