=== debian/changelog ===
xfsprogs (3.1.9ubuntu2) trusty; urgency=medium

  * Patch m4/libtool.m4 for powerpc64le and regenerate configure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 18:14:04 +0100

xfsprogs (3.1.9ubuntu1) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Oct 2013 14:25:32 +0100

xfsprogs (3.1.9) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Oct 2012 13:29:00 +1100

xfsprogs (3.1.8) unstable; urgency=low

  * New upstream release
  * Numerous xfs_repair fixes

 -- Nathan Scott <nathans@debian.org>  Mon, 19 Mar 2012 14:21:00 +1100
