=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xfsprogs
 Section: admin
 Priority: optional
-Maintainer: XFS Development Team <xfs@oss.sgi.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: XFS Development Team <xfs@oss.sgi.com>
 Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-gplv2-dev, libblkid-dev (>= 2.17)
+Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-gplv2-dev | libreadline5-dev, libblkid-dev (>= 2.17), linux-libc-dev, autotools-dev
 Standards-Version: 3.9.1
 Homepage: http://oss.sgi.com/projects/xfs/
