=== libdisk/Makefile ===
--- 
+++ 
@@ -20,7 +20,11 @@
 LSRCFILES = $(LINUX_DRIVERS)
 endif
 
-default: $(LTLIBRARY)
+ifneq ($(ENABLE_BLKID), yes)
+default: ltdepend $(LTLIBRARY)
+else
+default:
+endif
 
 include $(BUILDRULES)
 
@@ -29,3 +33,5 @@
 install-dev: default
 
 install-qa: install-dev
+
+-include .ltdep
