=== debian/changelog ===
xfsprogs (3.1.9ubuntu2.1) trusty; urgency=medium

  * [dda4129] xfs_logprint: Handle multiply-logged inode fields.
    xlog_print_trans_inode() will error "illegal inode type" if
    more than one flag is set on f->ilf_fields. (LP: #1763086)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 10 Apr 2018 16:23:17 -0400
