=== libxfs/Makefile ===
--- 
+++ 
@@ -43,8 +43,10 @@
 include $(BUILDRULES)
 
 install: default
+	$(INSTALL_LTLIB)
 
 install-dev: default
+	$(INSTALL_LTLIB_DEV)
 
 install-qa: default
