=== debian/changelog ===
xfsprogs (3.2.0+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * The required files for compiling partclone are put in xfsprogs-dev.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Jul 2014 13:52:39 +0800

xfsprogs (3.2.0) unstable; urgency=low

  * New upstream release
  * Add dh-autoreconf invocation (closes: #725971)

 -- Nathan Scott <nathans@debian.org>  Sat, 03 May 2014 15:59:55 +1000

xfsprogs (3.1.11) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 08 May 2013 12:59:56 -0500
