## xfsprogs 3.2.1

=== debian/changelog ===
xfsprogs (3.2.1) unstable; urgency=low

  * New upstream release (closes: #747080)
  * Add a watch file (closes: #748483)

 -- Nathan Scott <nathans@debian.org>  Wed, 16 Jul 2014 13:47:49 +1000
