## xfsprogs 3.2.1+drbl1

=== debian/changelog ===
xfsprogs (3.2.1+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * The required files for compiling partclone are put in xfsprogs-dev.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Aug 2014 09:20:26 +0800
