## xfsprogs 3.2.4+drbl1

=== debian/changelog ===
xfsprogs (3.2.4+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * The required files for compiling partclone are put in xfsprogs-dev.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 01 Aug 2015 09:13:04 +0800

xfsprogs (3.2.4) unstable; urgency=low

  * New upstream release
  * Fix xfs_metadump information leak (CVE-2012-2150)

 -- Nathan Scott <nathans@debian.org>  Wed, 29 Jul 2015 15:31:27 +1000

xfsprogs (3.2.3) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 01 Jun 2015 11:35:02 +1000

xfsprogs (3.2.2) unstable; urgency=low

  * New upstream release
  * Rework dh-autoreconf invocation (closes: #757455)
  * Update licensing words for headers (closes: #751511)

 -- Nathan Scott <nathans@debian.org>  Mon, 10 Nov 2014 20:35:27 +1100
