## xfsprogs 4.3.0%2Bnmu1ubuntu1

=== debian/changelog ===
xfsprogs (4.3.0+nmu1ubuntu1) xenial; urgency=medium

  * Enable blkid in d-i, by dropping explicitly passed configure option
    (broken configure). (LP: #1544574).
  * Drop trying to create upstream distribution.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2016 00:20:02 +0000

xfsprogs (4.3.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disabled the code in include/buildmacros which creates bogus symlinks
    for libraries. (Closes: #766811)

 -- Marco d'Itri <md@linux.it>  Wed, 10 Feb 2016 04:24:23 +0100

xfsprogs (4.3.0) unstable; urgency=low

  * New upstream release
  * Add a postinst to update the initramfs on install/upgrade.
    (Closes: #804255)

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Nov 2015 15:22:56 +1100

xfsprogs (4.2.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 07 Sep 2015 10:13:54 +1000
