## xfsprogs 4.3.0%2Bnmu1ubuntu1.1

=== libxfs/Makefile ===
--- 
+++ 
@@ -10,19 +10,63 @@
 LT_REVISION = 0
 LT_AGE = 0
 
-HFILES = xfs.h init.h xfs_dir2_priv.h crc32defs.h crc32table.h
+# headers to install in include/xfs
+PKGHFILES = xfs_fs.h \
+	xfs_types.h \
+	xfs_da_format.h \
+	xfs_format.h \
+	xfs_log_format.h
+
+HFILES = \
+	xfs_alloc.h \
+	xfs_alloc_btree.h \
+	xfs_attr_leaf.h \
+	xfs_attr_sf.h \
+	xfs_bit.h \
+	xfs_bmap.h \
+	xfs_bmap_btree.h \
+	xfs_btree.h \
+	xfs_attr_remote.h \
+	xfs_cksum.h \
+	xfs_da_btree.h \
+	xfs_dir2.h \
+	xfs_ialloc.h \
+	xfs_ialloc_btree.h \
+	xfs_inode_buf.h \
+	xfs_inode_fork.h \
+	xfs_quota_defs.h \
+	xfs_sb.h \
+	xfs_shared.h \
+	xfs_trans_resv.h \
+	xfs_trans_space.h \
+	libxfs_io.h \
+	libxfs_api_defs.h \
+	init.h \
+	crc32defs.h \
+	crc32table.h \
+	libxfs_priv.h \
+	xfs_dir2_priv.h
+
 CFILES = cache.c \
 	crc32.c \
-	init.c kmem.c logitem.c radix-tree.c rdwr.c trans.c util.c \
+	init.c \
+	kmem.c \
+	logitem.c \
+	radix-tree.c \
+	rdwr.c \
+	trans.c \
+	util.c \
 	xfs_alloc.c \
 	xfs_alloc_btree.c \
 	xfs_attr.c \
 	xfs_attr_leaf.c \
 	xfs_attr_remote.c \
+	xfs_bit.c \
 	xfs_bmap.c \
 	xfs_bmap_btree.c \
 	xfs_btree.c \
 	xfs_da_btree.c \
+	xfs_da_format.c \
 	xfs_dir2.c \
 	xfs_dir2_block.c \
 	xfs_dir2_data.c \
@@ -67,7 +111,7 @@
 
 crc32table.h: gen_crc32table.c
 	@echo "    [CC]     gen_crc32table"
-	$(Q) $(CC) $(CFLAGS) -o gen_crc32table $<
+	$(Q) $(BUILD_CC) $(CFLAGS) -o gen_crc32table $<
 	@echo "    [GENERATE] $@"
 	$(Q) ./gen_crc32table > crc32table.h
 
@@ -78,17 +122,30 @@
 # disk.
 crc32selftest: gen_crc32table.c crc32table.h crc32.c
 	@echo "    [TEST]    CRC32"
-	$(Q) $(CC) $(CFLAGS) -D CRC32_SELFTEST=1 crc32.c -o $@
+	$(Q) $(BUILD_CC) $(CFLAGS) -D CRC32_SELFTEST=1 crc32.c -o $@
 	$(Q) ./$@
 
+# set up include/xfs header directory
 include $(BUILDRULES)
 
 install: default
-	$(INSTALL_LTLIB)
+	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
 
-install-dev: default
-	$(INSTALL_LTLIB_DEV)
+install-headers: $(addsuffix -hdrs, $(PKGHFILES))
 
-install-qa: default
+%-hdrs:
+	$(Q)$(LN_S) -f $(CURDIR)/$* $(TOPDIR)/include/xfs/$*
 
+install-dev: install
+	$(INSTALL) -m 644 $(PKGHFILES) $(PKG_INC_DIR)
+
+# We need to install the headers before building the dependencies.  If we
+# include the .ltdep file, the makefile decides that it needs to build the
+# dependencies to remake the makefile before running the header install target,
+# hence making it impossible to avoid errors being thrown by the dependency
+# generation. Hence we play games so that we only include this file if we aren't
+# running the install-headers target.
+ifndef NODEP
 -include .ltdep
+endif
+
